Subject: RE: [Ecrit] [issue16] Cell-ID for LoST Query

From: "Brian Rosen" <[email-masked]>
Date: Mon, 21 Aug 2006 11:54:35 -0400

I don't think LoST is the place to put the mapping between identifiers such
as phone numbers and locations (or PSAPs which serve them).  That should be
done BEFORE the query to LoST.

I think that we can address the concerns the carriers have by making sure
that the LoST database can be cached, effectively letting a carrier have a
local copy of the database.  This would make the LoST query local, and not
reveal coverage.

I think however, that unless they can supply a better location when the call
gets to the PSAP, that the polygon is has to be given to the PSAP as the
location of the caller.

Brian

> -----Original Message-----
> From: Michael Haberler [mailto:[email-masked]]
> Sent: Monday, August 21, 2006 11:49 AM
> To: Brian Rosen
> Cc: 'LoST Issue Tracker'; [email-masked]
> Subject: Re: [Ecrit] [issue16] Cell-ID for LoST Query
> 
> Brian Rosen schrieb:
> > First, remember that it's not just cell id, it's also sector.  I'm not
> sure
> > they transmit sector around in the network very much.
> >
> Let's think beyond cell id and IP-Address - the key should be a
> multi-valued, extensible datatype in the first place.
> 
> how to take care of CDP switch/port attributes?  what about a *phone
> number* which returns my directory entry address as a pidf-lo?
> 
> -Michael
> 
> ps: WRT to cell location, there is *enormous* resistance by the mobile
> operators to provide cell ID+ location publically or even just their
> governments or for emergency call purposes  (such as here in Austria) -
> basically because that exposes actual coverage and is competitively
> sensitive. Cell id PLUS coverage PLUS sector would be extra-sensitive.
> 
> plus, the law... for those able to read german, here a local legal
> supreme court decision
> http://www.internet4jurists.at/entscheidungen/ogh4_113_05d.htm , under
> which even  http://gsmloc.org would be illegal here even for
> non-commercial purposes.
> 
> (I'm not saying - dont try - just expect a lot of political hoopla
> around it).
> 
> > Then recognize that at least today, they have a civic location for the
> cell
> > tower (at least in North America, it's civic, I suppose they could use a
> geo
> > elsewhere, but I'm not aware of anyone who does that), and they use that
> and
> > the sector for routing.  I could explain this in more detail if anyone
> is
> > interested, but I don't think it bears on this discussion.
> >
> > I was thinking that we should use a polygon representing the cell and
> > sector.  That would allow a more accurate coverage area that a cell
> > id/sector number.  Presumably then there would be a lookup from
> > cellid/sector to polygon, and the polygon would be sent to LoST.  I'm
> not
> > really enthralled with the idea that we invent a new location
> representation
> > that LoST directly accepts.
> >
> > Brian
> >
> >
> >> -----Original Message-----
> >> From: Hannes Tschofenig [mailto:[email-masked]]
> >> Sent: Sunday, August 20, 2006 4:54 AM
> >> To: [email-masked]
> >> Subject: [Ecrit] [issue16] Cell-ID for LoST Query
> >>
> >>
> >> New submission from Hannes Tschofenig <[email-masked]>:
> >>
> >> At the 3GPP CT/IETF ECRIT joint session on emergency services the
> >> following
> >> aspect was discussed:
> >>
> >> "The group then had a side discussion of the whether cell-id could be
> used
> >> as a
> >> key to a LoST lookup.  In principal, this would be possible as a
> related
> >> query
> >> type.  Keith recast the discussion as:  does it make sense to transform
> >> pseudo-
> >> locatioins to real locations before invoking LoST (where pseudo-
> location
> >> might
> >> be a cell-id or location-id?).  It seems more elegant to do so if
> >> possible, but
> >> it was still unclear at the end of discussion what actions are needed.
> >> "
> >>
> >> ----------
> >> assignedto: hannes
> >> messages: 42
> >> nosy: ecrit, hannes
> >> priority: wish
> >> status: chatting
> >> title: Cell-ID for LoST Query
> >>
> >> __________________________________________________
> >> LoST Issue Tracker <[email-masked]>
> >> <http://www.tschofenig.priv.at:8080/lost/issue16>
> >> __________________________________________________
> >>
> >> _______________________________________________
> >> Ecrit mailing list
> >> [email-masked]
> >> https://www1.ietf.org/mailman/listinfo/ecrit
> >>
> >
> >
> > _______________________________________________
> > Ecrit mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ecrit
> >
> >

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit